import { OrderedItems } from '../ecommerce/styles/OrderedItems.modal';
import { Product } from '../ecommerce/styles/product.modal';
import { RestService } from './rest.service';
import { StorageServiceService } from './storage.service';
import { Router } from '@angular/router';
import { StorageLike } from '../services/storage-like';
import * as i0 from "@angular/core";
export declare class CartService {
    private readonly storageService;
    private readonly restService;
    private router;
    private storage;
    constructor(storageService: StorageServiceService, restService: RestService, router: Router, storage: StorageLike);
    addItemFromCartPage(product: OrderedItems, userCart: any): import("rxjs").Observable<Object>;
    addItemFromWishlistPage(product: OrderedItems, userWishlist: any): import("rxjs").Observable<Object>;
    removeItemFromWishlistPage(product: OrderedItems, userWishlist: any): import("rxjs").Observable<Object>;
    addItemToCart(product: Product | OrderedItems, varientId?: string): void | IDBRequest<IDBValidKey>;
    captureCartAnalytics(productId: string, type: 'ADD_TO_CART' | 'REMOVE_FROM_CART', variantId?: string): void;
    addItemToFavourite(product: Product, varientId?: string): void;
    addItemToTrial(product: Product, varientId?: string): Promise<boolean>;
    addItemToFavFromCart(product: OrderedItems): void;
    addOrderedItemToFavourite(orderedItem: OrderedItems): void;
    removeItemFromFavourite(varientId: string): void;
    removeItemFromCart(product: Product | OrderedItems): void;
    private objectMapper;
    trackUser(event: any, eventType: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CartService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CartService>;
}
